import { EventHandler } from "../src/render/eventhandler";
import { Ellipsoid } from "./math/ellipsoid";
export declare class Globe extends EventHandler {
    private _ellipsoid;
    private _surface;
    private _imageryLayerCollection;
    private _surfaceShaderSet;
    private _terrainProvider;
    constructor(ellipsoid: Ellipsoid);
    get terrainProvider(): any;
    set terrainProvider(value: any);
}
